# Class CIM_SAEndpointConnectionStatistics
extends CIM_StatisticalData

This class captures statistical and time-related information about the use of the IPsec or IKE Security Associations, through their IPsecSAEndpoint or IKESAEndpoint. The relevant SAEndpoint is determined by traversing the ElementStatisticalData association.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_StatisticalData
|
+--CIM_SAEndpointConnectionStatistics

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | This class captures statistical and time-related information about the use of the IPsec or IKE Security Associations, through their IPsecSAEndpoint or IKESAEndpoint. The relevant SAEndpoint is determined by traversing the ElementStatisticalData association.
UMLPackagePath | string | CIM::Network::IPsec
Version | string | 2.8.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
ByteCount | uint64 |
Counter | boolean | true
Description | string | Number of bytes that have been protected by the associated SAEndpoint.
Units | string | Bytes
LastAccessed | datetime |
Description | string | LastAccessed indicates when the SAEndpoint was last used. This property is helpful in determining if the SA (and its endpoint) will be deleted due to sitting idle.

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
ElementName | string | CIM_StatisticalData
InstanceID | string | CIM_StatisticalData
SampleInterval | datetime | CIM_StatisticalData
StartStatisticTime | datetime | CIM_StatisticalData
StatisticTime | datetime | CIM_StatisticalData

## Class Methods

### Inherited Class Methods

Name | Return Type | Class Origin
--- | --- | ---
ResetSelectedStats | uint32 | CIM_StatisticalData